<script>
import {goto} from "$app/navigation";
import TextInput from "../../components/TextInput.svelte";
import Button from "../../components/Button.svelte"

let id, code;
let submitHandler = () => {
    goto("/qr/" + id + "-" + code);
}
</script>

<svelte:head>
    <title>Generate Meeting QR Code | AZtendance</title>
</svelte:head>

<form on:submit|preventDefault={submitHandler}>
    <TextInput name="id" label="Meeting ID" placeholder="789ABC" bind:value={id} />
    <TextInput name="code" label="Meeting Code" placeholder="FE21" bind:value={code} />
    <Button content="Create QR Code" theme="primary" onclick={submitHandler}/>
</form>